## httrack 3.49.5

=== debian/changelog ===
httrack (3.49.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:26:06 +0000

httrack (3.49.5-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:13:24 +0000

httrack (3.49.5-1) unstable; urgency=medium

  * Updated to 3.49.5 (3.49-5)
    Fixed CVE-2023-45853

 -- Xavier Roche <xavier@debian.org>  Sat, 27 Jan 2024 14:30:23 +0100
