## httrack 3.49.6

=== debian/changelog ===
httrack (3.49.6-1) unstable; urgency=medium

  * Updated to 3.49.6 (3.49-6)
    Fixed CVE-2017-14062

 -- Xavier Roche <xavier@debian.org>  Tue, 11 Mar 2025 19:43:39 +0100
