=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: httrack
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Xavier Roche <roche@httrack.com>
+Maintainer: Xavier Roche <roche@httrack.com>
 Standards-Version: 4.6.2
 Build-Depends: debhelper (>= 12.0.0), dh-autoreconf, autotools-dev, autoconf, autoconf-archive, automake, libtool, zlib1g-dev, libssl-dev
 Homepage: http://www.httrack.com
